読者です 読者をやめる 読者になる 読者になる

ウェブサービスを作っています。

DateHelperJa プラグインが Rails 2.1 で動かない問題

(追記 2008/07/13)
直し方のエントリをあげました。
DateHelperJa プラグイン を Rails 2.1.0 に完全対応させる - milk1000cc



Rails を 2.1 にしたら、DateHelperJa プラグインが動かなくなってしまいました。

wrong number of arguments (2 for 1)

エラーとか出たりします。


で、vendor/plugins/date_helper_ja/lib/date_helper_ja.rb 110 行目の

def date_or_time_select_with_jp_time_unit(options)

def date_or_time_select_with_jp_time_unit(options, html_options = {})

に変えると、一応動くようになります。


ちゃんとわかってないので、elm200 さんの修正に期待..